pcl::PointSurfel Struct Reference
Module common

A surfel, that is, a point structure representing Euclidean xyz coordinates, together with normal coordinates, a RGBA color, a radius, a confidence value and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointSurfel:

## Public Member Functions

| PointSurfel (const _PointSurfel &p)
| PointSurfel ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointSurfel &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointSurfel
| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
PCL_ADD_UNION_RGB
float radius
float confidence
float curvature
} |
float data_c [4]
}; |
| PCL_ADD_EIGEN_MAPS_RGB

## Detailed Description

A surfel, that is, a point structure representing Euclidean xyz coordinates, together with normal coordinates, a RGBA color, a radius, a confidence value and the surface curvature estimate.

Definition at line 1479 of file point_types.hpp.

## Constructor & Destructor Documentation

pcl::PointSurfel::PointSurfel | ( | const _PointSurfel & | p | ) |

inline

Definition at line 1481 of file point_types.hpp.

References pcl::_PointSurfel::confidence, pcl::_PointSurfel::curvature, and pcl::_PointSurfel::radius.

pcl::PointSurfel::PointSurfel | ( |  | ) |

inline

Definition at line 1490 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointSurfel & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp